import React, {useState, useEffect} from 'react';
import { csv } from 'd3';


const csvUrl="https://gist.githubusercontent.com/DragonEnergy/2da6c549f135f0b5f3f8fa5fc77b25ff/raw/a75a75b2edcc3bc908a29c2c4874ffb7cc08a243/rdg2018-zona-estado-enero-marzo.csv";

export const useData = () => {
  const [data, setData] = useState(null);
	if(!data){
 // 	console.log('Waste Data:', data[0]);
    console.log('Load Failed')
  }
  useEffect(() => {
    const row = d => {
      d['Month'] = new Date(d['Date']);
      d['Zona'] = +d['Zona'];
      d['WasteKgs'] = +d['WasteKgs'];
      return d;
    };
    
    csv(csvUrl, row).then(setData)
  }, []);
  
     console.log('Data2:' , data); 

  return data
}
